OpenShot Audio Library | OpenShotAudio: juce::dsp::Phaser< SampleType > Class Template Reference

OpenShot Audio Library | OpenShotAudio 0.4.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
juce::dsp::Phaser< SampleType > Class Template Reference

`#include <juce_Phaser.h>`

## Public Member Functions
| Phaser ()
void | setRate (SampleType newRateHz)
void | setDepth (SampleType newDepth)
void | setCentreFrequency (SampleType newCentreHz)
void | setFeedback (SampleType newFeedback)
void | setMix (SampleType newMix)
void | prepare (const ProcessSpec &spec)
void | reset ()
template<typename ProcessContext >
void | process (const ProcessContext &context) noexcept

## Detailed Description

template<typename SampleType>
class juce::dsp::Phaser< SampleType >

A 6 stage phaser that modulates first order all-pass filters to create sweeping notches in the magnitude frequency response.

This audio effect can be controlled with standard phaser parameters: the speed and depth of the LFO controlling the frequency response, a mix control, a feedback control, and the centre frequency of the modulation.

Definition at line 40 of file juce_Phaser.h.

## Constructor & Destructor Documentation

## ◆ Phaser()

template<typename SampleType >

juce::dsp::Phaser< SampleType >::Phaser | ( |  | ) |

Constructor.

Definition at line 31 of file juce_Phaser.cpp.

## Member Function Documentation

## ◆ prepare()

template<typename SampleType >

void juce::dsp::Phaser< SampleType >::prepare | ( | const ProcessSpec & | spec | ) |

Initialises the processor.

Definition at line 92 of file juce_Phaser.cpp.

## ◆ process()

template<typename SampleType >
template<typename ProcessContext >

void juce::dsp::Phaser< SampleType >::process | ( | const ProcessContext & | context | ) |
| inlinenoexcept

Processes the input and output samples supplied in the processing context.

Definition at line 82 of file juce_Phaser.h.

## ◆ reset()

template<typename SampleType >

void juce::dsp::Phaser< SampleType >::reset | ( |  | ) |

Resets the internal state variables of the processor.

Definition at line 118 of file juce_Phaser.cpp.

## ◆ setCentreFrequency()

template<typename SampleType >

void juce::dsp::Phaser< SampleType >::setCentreFrequency | ( | SampleType | newCentreHz | ) |

Sets the centre frequency (in Hz) of the phaser all-pass filters modulation.

Definition at line 64 of file juce_Phaser.cpp.

## ◆ setDepth()

template<typename SampleType >

void juce::dsp::Phaser< SampleType >::setDepth | ( | SampleType | newDepth | ) |

Sets the volume (between 0 and 1) of the LFO modulating the phaser all-pass filters.

Definition at line 55 of file juce_Phaser.cpp.

## ◆ setFeedback()

template<typename SampleType >

void juce::dsp::Phaser< SampleType >::setFeedback | ( | SampleType | newFeedback | ) |

Sets the feedback volume (between -1 and 1) of the phaser. Negative can be used to get specific phaser sounds.

Definition at line 73 of file juce_Phaser.cpp.

## ◆ setMix()

template<typename SampleType >

void juce::dsp::Phaser< SampleType >::setMix | ( | SampleType | newMix | ) |

Sets the amount of dry and wet signal in the output of the phaser (between 0 for full dry and 1 for full wet).

Definition at line 82 of file juce_Phaser.cpp.

## ◆ setRate()

template<typename SampleType >

void juce::dsp::Phaser< SampleType >::setRate | ( | SampleType | newRateHz | ) |

Sets the rate (in Hz) of the LFO modulating the phaser all-pass filters. This rate must be lower than 100 Hz.

Definition at line 46 of file juce_Phaser.cpp.

The documentation for this class was generated from the following files:

- juce_Phaser.h
- juce_Phaser.cpp